Bug 456580 - Multiple severe problems with texlive-texfm-fonts
Multiple severe problems with texlive-texfm-fonts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
13
All Linux
high Severity high
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2008-07-24 15:18 EDT by Nicolas Mailhot
Modified: 2013-07-02 19:30 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:59:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-07-24 15:18:00 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nicolas Mailhot 2008-07-24 16:32:41 EDT
1. The textlive-texfm lists Utopia among its licenses. That probably means it
includes Adobe Utopia or its derivatives. The Adobe Utopia font design is
patented by Adobe and Fedora legal has not decided if Utopia and its derivatives
were safe enough to be allowed in the repository yet (see bug #452317). In the
meanwhile we should not ship any of those fonts in Fedora.

2. The textlive-texfm includes tex-gyre fonts. As the authors freely admit they
lifted the GNU Ghostscript GPL fonts, changed their format, modified the result,
and relicensed it all under their own license [1]. They don't list any
authorization for this from the previous rights holders in their package.
Since we can not ship the GPL bits they lifted under another license, and we can
not ship the bits they added under the GPL without tex-gyre people
authorization, the whole thing is un-distributable and must be removed [2]

[1] page 8 of http://www.gust.org.pl/projects/e-foundry/tex-gyre/afp05.pdf
[2] http://www.redhat.com/archives/fedora-fonts-list/2008-July/msg00111.html

In addition:

A. This package is a legal nightmare and mixes material from many different
origins and licensing (making any audit difficult, even though we *know* fonts
are a legal minefield)

B. This package is a livecd and bandwidth nightmare (monolithic dump of 56 MiBs
of data !!!)

C. This package wastes huge amounts of space by shipping the same fonts in many
different formats, even though only one would be enough

D. This package ships bulky forks of material already present in other distro
packages (ghostscript font data), and no effort is made to consolidate them.
Even though TEX users are not the only ones interested in ghostscript font
fixes, and the PS1 format used by ghostscript fonts is probably the main
remaining reason why the xorg package maintainers can not drop type1 support in X.

E. This package ships resources that would be highly useful to most of our users
(truetype and opentype fonts), but hides them in a tex-specific directory not
exposed by system font libs. (some of them are even in our wishlists)

For all those reasons:

a. Please drop the Utopia fonts from the package immediately

b. Please drop the Tex-gyre fonts from the package immediately

c. Please notify the Tex-gyre authors on the behalf of Fedora so they fix their
licensing

d. Once this is done please package the Tex-Gyre fonts in a separate package
(using the tex-gyre upstream releases, not the texlive repackaging). Since the
TEX-Gyre font preferred modification format is metatype (as documented in their
presentation) that means a package that build OpenType CFF fonts (OTF) from
metatype sources (to respect the GPL)

e. please use the distribution official font template for this package. When
fonts are usable system wide they should be packaged as system font, and tex
packages modified to use the system version.

f. please add to this package fontconfig rules that declare the tex-gyre fonts
valid substitutes to the adobe and ghostscript fonts

g. please have this package subpackaged in a subpackage per font family (or
create a separate package per font family)

h. please work with the Ghostscript packager so Ghostscript is switched use
those packages, so the old PS1 fonts can be retired (making ajax happy)

i. Please work with the Ghostscript packager so Ghostscript and Tex-Gyre
licensing is switched to GPL+font exception (so the fonts can be safely embedded
in pdfs)

j. please do the same repackaging for every truetype and opentype font in the
package, so their licensing can be individually checked, they get installed
system-wide (benefiting non-tex users), and the monster package is broken up in
granular livecd-olpc-bandwidth friendly packages. Each time do use the distro
font packaging guidelines (including the build-from-source bit), and do start
from the font real upstreams (not the texlive/CTAN middlemen)
http://www.fsf.org/licensing/licenses/gpl-faq.html#FontException

e. You can keep other fonts in legacy format in your package. But frankly if I
were you I'd drop them. Each one needs legal crosschecking and if no one cared
enough to convert them to a modern OTF/TTF format they're probably not that
useful. Either way that part of the package should be user-optional at least
Comment 2 Vasile Gaburici 2008-08-08 13:49:32 EDT
If nothing else gets done before F10's feature freeze, at the very least the OpenType font directory from texlive-texfm-fonts (/usr/share/texmf/fonts/opentype/) should be added to fontconfig's /etc/fonts/conf.d so other applications can use these fonts. (OOo isn't the only other app in Fedora!). In particular the Latin Modern and Antykwa Toruńska are well done rich families. The Gyre collection is well done too, but there are some legal issues with their re-licensing business...

Perhaps the Type 1 fonts from texlive-texfm-fonts should be added to fontconfig too. They tend to use TeX-specific 8-bit encodings, but freetype ignores those and has its own Unicode to AGL name mapping, so they work reasonably well with apps that use Type 1 fonts via freetype, e.g. OOo, Qt and Pango-based apps. There's a problem however that the afm files are kept separately from pfb files in the texmf tree. Furthermore, a large number of these fonts duplicate the OpenType ones, so the OpenType containers should be prioritized somehow.
Comment 3 Tom "spot" Callaway 2008-10-27 10:54:42 EDT
This licensing issue is serious, but it will not be fixed in time for F10. Lifting F10Blocker.
Comment 4 Bug Zapper 2008-11-25 21:35:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-11-18 02:45:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jonathan Underwood 2009-11-18 08:45:45 EST
Moving to Rawhide, since this is still in progress.
Comment 7 Bug Zapper 2010-03-15 08:02:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-02 14:29:37 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 09:59:23 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.